kind: Pod
apiVersion: v1
metadata:
  generateName: must-gather-
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.0.58/23"],"mac_address":"0a:58:0a:80:00:3a","gateway_ips":["10.128.0.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.0.1"}],"ip_address":"10.128.0.58/23","gateway_ip":"10.128.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.58"
          ],
          "mac": "0a:58:0a:80:00:3a",
          "default": true,
          "dns": {}
      }]
  resourceVersion: '89919'
  name: must-gather-zx46g
  uid: f6ce42fe-24f7-421e-a2fd-6b1e6b8ae5f6
  creationTimestamp: '2024-11-13T09:31:25Z'
  managedFields:
    - manager: lhy-416-1113-7z8qg-master-0
      operation: Update
      apiVersion: v1
      time: '2024-11-13T09:31:25Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:k8s.ovn.org/pod-networks': {}
      subresource: status
    - manager: multus-daemon
      operation: Update
      apiVersion: v1
      time: '2024-11-13T09:31:25Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
      subresource: status
    - manager: oc
      operation: Update
      apiVersion: v1
      time: '2024-11-13T09:31:25Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"must-gather-output"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"copy"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/must-gather"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:command': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
            'k:{"name":"gather"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/must-gather"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"NODE_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"POD_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:priorityClassName': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2024-11-13T09:31:35Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:hostIPs': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.128.0.58"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-must-gather-xzqrs
  labels:
    app: must-gather
spec:
  nodeSelector:
    kubernetes.io/os: linux
    node-role.kubernetes.io/master: ''
  restartPolicy: Never
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-glltg
  priority: 2000000000
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 0
  preemptionPolicy: PreemptLowerPriority
  nodeName: lhy-416-1113-7z8qg-master-0
  securityContext: {}
  containers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: gather
      command:
        - /bin/bash
        - '-c'
        - /usr/bin/gather; sync
      env:
        - name: NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: must-gather-output
          mountPath: /must-gather
        - name: kube-api-access-2hppt
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/rhobs/observability-operator:0.4.3-241104202629'
    - name: copy
      image: 'quay.io/rhobs/observability-operator:0.4.3-241104202629'
      command:
        - /bin/bash
        - '-c'
        - 'trap : TERM INT; sleep infinity & wait'
      resources: {}
      volumeMounts:
        - name: must-gather-output
          mountPath: /must-gather
        - name: kube-api-access-2hppt
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      imagePullPolicy: IfNotPresent
  serviceAccount: default
  volumes:
    - name: must-gather-output
      emptyDir: {}
    - name: kube-api-access-2hppt
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - operator: Exists
  priorityClassName: system-cluster-critical
status:
  containerStatuses:
    - name: copy
      state:
        waiting:
          reason: CreateContainerError
          message: |
            container create failed: time="2024-11-13T09:31:35Z" level=error msg="runc create failed: unable to start container process: exec: \"/bin/bash\": stat /bin/bash: no such file or directory"
      lastState: {}
      ready: false
      restartCount: 0
      image: 'quay.io/rhobs/observability-operator:0.4.3-241104202629'
      imageID: ''
      started: false
    - name: gather
      state:
        waiting:
          reason: CreateContainerError
          message: |
            container create failed: time="2024-11-13T09:31:35Z" level=error msg="runc create failed: unable to start container process: exec: \"/bin/bash\": stat /bin/bash: no such file or directory"
      lastState: {}
      ready: false
      restartCount: 0
      image: 'quay.io/rhobs/observability-operator:0.4.3-241104202629'
      imageID: ''
      started: false
  qosClass: BestEffort
  hostIPs:
    - ip: 10.0.0.4
  podIPs:
    - ip: 10.128.0.58
  podIP: 10.128.0.58
  hostIP: 10.0.0.4
  startTime: '2024-11-13T09:31:25Z'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-11-13T09:31:35Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-11-13T09:31:25Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2024-11-13T09:31:25Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [gather copy]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2024-11-13T09:31:25Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [gather copy]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-11-13T09:31:25Z'
  phase: Pending
